メインコンテンツへスキップ
GET
/
cms
/
site-search
/
2026-03
/
indexed-data
/
{contentId}
Get indexed properties
curl --request GET \
  --url https://api.hubapi.com/cms/site-search/2026-03/indexed-data/{contentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/site-search/2026-03/indexed-data/{contentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/site-search/2026-03/indexed-data/{contentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fields": {},
  "id": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

contentId
string
必須
Pattern: .*

クエリパラメータ

type
string

レスポンス

successful operation

fields
object
必須

The indexed fields in HubSpot.

id
string
必須

The ID of the document in HubSpot.

type
enum<string>
必須

The type of document. Can be SITE_PAGE, LANDING_PAGE, BLOG_POST, LISTING_PAGE, or KNOWLEDGE_ARTICLE.

利用可能なオプション:
BLOG_POST,
KNOWLEDGE_ARTICLE,
LANDING_PAGE,
LISTING_PAGE,
SITE_PAGE,
STRUCTURED_CONTENT
最終更新日 2026年4月10日